Loading...
Searching...
No Matches
RegionCosts.h File Reference

Defines RegionCosts - used by the auto scheduler to query the cost of computing some function regions. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include "AutoScheduleUtils.h"`
`#include "Interval.h"`
`#include "Scope.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::Cost
struct | Halide::Internal::RegionCosts
| Auto scheduling component which is used to assign costs for computing a region of a function or one of its stages. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

bool | Halide::Internal::is_func_trivial_to_inline (const Function &func)
| Return true if the cost of inlining a function is equivalent to the cost of calling the function directly.

## Detailed Description

Defines RegionCosts - used by the auto scheduler to query the cost of computing some function regions.

Definition in file RegionCosts.h.